<?php


	// Update order status when required
	function idealcheckout_update_order_status($oRecord, $sView)
	{
		if(in_array($sView, array('doValidate')))
		{
			$aDatabaseSettings = idealcheckout_getDatabaseSettings();
			$aOrderParams = idealcheckout_unserialize($oRecord['order_params']);

			if(in_array($oRecord['transaction_status'], array('SUCCESS')))
			{
				// Update transaction status
				$sql = "UPDATE `" . $aDatabaseSettings['prefix'] . "commerce_payment_transaction` SET `remote_id` = '" . idealcheckout_escapeSql($oRecord['transaction_id']) . "', `status` = 'processing', `changed` = '" . time() . "' WHERE `order_id` = '" . idealcheckout_escapeSql($oRecord['order_id']) . "' LIMIT 1;";
				idealcheckout_database_query($sql);

				// Update order status
				$sql = "UPDATE `" . $aDatabaseSettings['prefix'] . "commerce_order` SET `status` = '" . idealcheckout_escapeSql($aOrderParams['payment_method_success']) . "', `changed` = '" . time() . "' WHERE `order_id` = '" . idealcheckout_escapeSql($oRecord['order_id']) . "' LIMIT 1;";
				idealcheckout_database_query($sql);
			}
			elseif(in_array($oRecord['transaction_status'], array('PENDING', 'PROCESSING')))
			{
				// Update transaction status
				$sql = "UPDATE `" . $aDatabaseSettings['prefix'] . "commerce_payment_transaction` SET `remote_id` = '" . idealcheckout_escapeSql($oRecord['transaction_id']) . "', `status` = '" . idealcheckout_escapeSql($aOrderParams['payment_method_pending']) . "', `changed` = '" . time() . "' WHERE `order_id` = '" . idealcheckout_escapeSql($oRecord['order_id']) . "' LIMIT 1;";
				idealcheckout_database_query($sql);
			}
			else
			{
				// Update transaction status
				$sql = "UPDATE `" . $aDatabaseSettings['prefix'] . "commerce_payment_transaction` SET `remote_id` = '" . idealcheckout_escapeSql($oRecord['transaction_id']) . "', `status` = '" . idealcheckout_escapeSql($aOrderParams['payment_method_failed']) . "', `changed` = '" . time() . "' WHERE `order_id` = '" . idealcheckout_escapeSql($oRecord['order_id']) . "' LIMIT 1;";
				idealcheckout_database_query($sql);
			}
		}
	}


?>